io.agora.rtc

## Enum Constants.AudioPublishType

- java.lang.Object
- - java.lang.Enum<Constants.AudioPublishType>
  - - io.agora.rtc.Constants.AudioPublishType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AudioPublishType>
  Enclosing class:
    Constants

      public static enum Constants.AudioPublishType
      extends java.lang.Enum<Constants.AudioPublishType>

  Audio publish types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENCODED_PCM` 2: Publish encoded PCM audio.
    `NO_PUBLISH` 0: Do not publish audio.
    `PCM` 1: Publish PCM audio.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the audio publish type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.AudioPublishType` | `fromInt(int value)` Converts an integer value to its corresponding AudioPublishType enum constant.
    `int` | `getValue()` Gets the integer value of the audio publish type.
    `static Constants.AudioPublishType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AudioPublishType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_PUBLISH

          public static final Constants.AudioPublishType NO_PUBLISH

      0: Do not publish audio.

    - #### PCM

          public static final Constants.AudioPublishType PCM

      1: Publish PCM audio.

    - #### ENCODED_PCM

          public static final Constants.AudioPublishType ENCODED_PCM

      2: Publish encoded PCM audio.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the audio publish type

  - ### Method Detail

    - #### values

          public static Constants.AudioPublishType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AudioPublishType c : Constants.AudioPublishType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AudioPublishType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the audio publish type.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.AudioPublishType fromInt(int value)

      Converts an integer value to its corresponding AudioPublishType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding AudioPublishType, or null if the value is not found.